DynamicJava Javadoc: Class DoStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class DoStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.DoStatement

All Implemented Interfaces:
  ContinueTarget

public class DoStatement
extends Statement
implements ContinueTarget

This class represents the do statement nodes of the syntax tree

Field Summary
`static java.lang.String` | `BODY` The body property name
`static java.lang.String` | `CONDITION` The condition property name

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`DoStatement(Expression cond, Node body)` Creates a new do statement
`DoStatement(Expression cond, Node body, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new do statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`void` | `addLabel(java.lang.String label)` Adds a label to this statement
`Node` | `getBody()` Returns the body of this statement
`Expression` | `getCondition()` Gets the condition to evaluate at each loop
`boolean` | `hasLabel(java.lang.String label)` Test whether this statement has the given label
`void` | `setBody(Node node)` Sets the body of this statement
`void` | `setCondition(Expression e)` Sets the condition to evaluate

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONDITION

    public static final java.lang.String CONDITION

  The condition property name

### BODY

    public static final java.lang.String BODY

  The body property name

Constructor Detail

### DoStatement

    public DoStatement(Expression cond,
                       Node body)

  Creates a new do statement
  Parameters:
    `cond` - the condition to evaluate at each loop
    `body` - the body
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or body is null

### DoStatement

    public DoStatement(Expression cond,
                       Node body,
                       java.lang.String fn,
                       int bl,
                       int bc,
                       int el,
                       int ec)

  Creates a new do statement
  Parameters:
    `cond` - the condition to evaluate at each loop
    `body` - the body
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column
  Throws:
    `java.lang.IllegalArgumentException` - if cond is null or body is null

Method Detail

### getCondition

    public Expression getCondition()

  Gets the condition to evaluate at each loop

### setCondition

    public void setCondition(Expression e)

  Sets the condition to evaluate
  Throws:
    `java.lang.IllegalArgumentException` - if e is null

### getBody

    public Node getBody()

  Returns the body of this statement

### setBody

    public void setBody(Node node)

  Sets the body of this statement
  Throws:
    `java.lang.IllegalArgumentException` - if node is null

### addLabel

    public void addLabel(java.lang.String label)

  Adds a label to this statement
  Specified by:
    `addLabel` in interface `ContinueTarget`
  Parameters:
    `label` - the label to add
  Throws:
    `java.lang.IllegalArgumentException` - if label is null

### hasLabel

    public boolean hasLabel(java.lang.String label)

  Test whether this statement has the given label
  Specified by:
    `hasLabel` in interface `ContinueTarget`
  Returns:
    true if this statement has the given label

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.